include ../../../layout/components/paginacao

div

	filtro-processos(paginacao="cxEntChefeUnidade.paginacao",
		disabled-fields="cxEntChefeUnidade.disabledFields",
		atualizar-lista="cxEntChefeUnidade.atualizarListaProcessos",
		atualizar-paginacao="cxEntChefeUnidade.atualizarPaginacao",
		condicao-tramitacao="cxEntChefeUnidade.condicaoTramitacao.CAIXA_ENTRADA_CHEFE_UNIDADE",
		pesquisar-ao-inicializar="true",
		is-chefe-unidade="true")

	h4 Lista de protocolos
	hr
	.row
		.col-md-12
			div(ng-if="cxEntChefeUnidade.processos && cxEntChefeUnidade.processos.length > 0")
				table.table.table-striped.table-condensed.no-margin
					thead
						tr
							th
							th.col-md-1.text-center Protocolo
							th.col-md-2.text-center CPF/CNPJ
							th.col-md-3.text-center Empreendimento
							th.col-md-2.text-center Município
							th.col-md-1.text-center Licença
							th.col-md-2.text-center Prazo análise
							th.col-md-2.text-center Prazo análise Técnica
							th.col-md-2.text-center Ações
					tbody
						tr(ng-repeat="processo in cxEntChefeUnidade.processos")
							td
								span(ng-class="{'icone-solicitacao-desvinculo-pendente': processo.idCondicaoTramitacao === cxEntChefeUnidade.legendas.SOLICITACAO_DESVINCULO_PENDENTE_ANALISE_TECNICA}")
								span(ng-class="{'icone-analise-tecnica': processo.idCondicaoTramitacao === cxEntChefeUnidade.legendas.AGUARDANDO_VALIDACAO_TECNICA_PELO_GERENTE }")
							td(ng-attr-title="{{processo.numero}}").text-center {{processo.numero}}
							td.text-center {{processo.cpfEmpreendimento ? processo.cpfEmpreendimento : processo.cnpjEmpreendimento | brCpfCnpj}}
							td.text-center.break-word {{processo.denominacaoEmpreendimento}}
							td.text-center {{processo.municipioEmpreendimento}}/{{processo.siglaEstadoEmpreendimento}}
							td.text-center {{processo.licencas}}
							td(ng-class="{'error-message': cxEntChefeUnidade.dateUtil.verificaPrazoMinimoData(cxEntChefeUnidade.dateUtil.somaPrazoEmDias(processo.dataCadastroAnalise, cxEntChefeUnidade.PrazoAnalise.ANALISE), cxEntChefeUnidade.PrazoMinimoAvisoAnalise.ANALISE)}").text-center
								| {{cxEntChefeUnidade.dateUtil.getContaDiasRestantesData(cxEntChefeUnidade.dateUtil.somaPrazoEmDias(processo.dataCadastroAnalise, cxEntChefeUnidade.PrazoAnalise.ANALISE))}}
							td(ng-class="{'error-message': processo.diasAnalisetecnica > cxEntChefeUnidade.PrazoMinimoAvisoAnalise.ANALISE_TECNICA}").text-center
								| {{ cxEntChefeUnidade.PrazoMinimoAvisoAnalise.ANALISE_TECNICA - processo.diasAnalisetecnica }}
							td
								span.pull-right

									.dropdown.action-table
										button#dropdownMenu1.btn.btn-default.dropdown-toggle(type='button', data-toggle='dropdown', aria-haspopup='true', aria-expanded='true')
											| Ações &nbsp;
											span.caret
										ul.dropdown-menu.dropdown-menu-right(aria-labelledby='dropdownMenu1',style="padding-bottom:0px;")
											li
												a(ng-click="cxEntChefeUnidade.verificarStatusTecnico(processo) ? '' : cxEntChefeUnidade.iniciarAnaliseGerente(processo.idAnalise, processo.idAnaliseTecnica)", ng-class="{'disable-acoes': cxEntChefeUnidade.verificarStatusTecnico(processo)}")
													i.glyphicon.glyphicon-ok-circle
													span Validar análise técnica
											li
												a(ng-click="cxEntChefeUnidade.visualizarProcesso(processo)")
													i.glyphicon.glyphicon-eye-open
													span Visualizar protocolo
											li

												a(ng-click="cxEntChefeUnidade.verificarSolicitacaoDesvinculo(processo) ? cxEntChefeUnidade.atenderSolicitacaoDesvinculo(processo) : ''",
														ng-class="{'disable-acoes': !cxEntChefeUnidade.verificarSolicitacaoDesvinculo(processo)}")
													i.glyphicon.glyphicon-sort
													span Atender solicitação de desvínculo
											li
												a(ng-click="cxEntChefeUnidade.verificarAguardandoDistribuicao(processo) ? cxEntChefeUnidade.distribuirProtocolo(processo) : ''",
														ng-class="{'disable-acoes': !cxEntChefeUnidade.verificarAguardandoDistribuicao(processo)}")
													i.glyphicon.glyphicon-arrow-right
													span Distribuir protocolo
				.legenda
					span.col-md-4.icone-solicitacao-desvinculo-pendente.legenda-margin Solicitação de Desvínculo Pendente
					span.col-md-4.icone-analise-tecnica.legenda-margin(style="margin-bottom:23px") Aguardando Validação de Análise Técnica

				+paginacao('cxEntChefeUnidade.paginacao', 'cxEntChefeUnidade.onPaginaAlterada')

		.row(ng-show="!cxEntChefeUnidade.processos || cxEntChefeUnidade.processos.length == 0")
			.col-md-12
				p.empty-result Não existem dados a serem exibidos.
